MetalIconFactory.TreeFolderIcon (Java Platform SE 8 )
Keywords: javax.swing.plaf.metal.MetalIconFactory.TreeFolderIcon class
Date: 2026-03-29

javax.swing.plaf.metal

## Class MetalIconFactory.TreeFolderIcon

- java.lang.Object
- - javax.swing.plaf.metal.MetalIconFactory.FolderIcon16
  - - javax.swing.plaf.metal.MetalIconFactory.TreeFolderIcon

- All Implemented Interfaces:
    Serializable, Icon
  Enclosing class:
    MetalIconFactory

      public static class MetalIconFactory.TreeFolderIcon
      extends MetalIconFactory.FolderIcon16

  Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeFolderIcon()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAdditionalHeight()`
    `int` | `getShift()`

    - ### Methods inherited from class javax.swing.plaf.metal.MetalIconFactory.FolderIcon16

      `getIconHeight, getIconWidth, paintIcon`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TreeFolderIcon

          public TreeFolderIcon()

  - ### Method Detail

    - #### getShift

          public int getShift()

      Overrides:
        `getShift` in class `MetalIconFactory.FolderIcon16`

    - #### getAdditionalHeight

          public int getAdditionalHeight()

      Overrides:
        `getAdditionalHeight` in class `MetalIconFactory.FolderIcon16`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.